import * as smartlogInterfaces from '@push.rocks/smartlog-interfaces';
import type { EdgeWorker } from '../classes.edgeworker.js';
export declare class SmartlogDestination implements smartlogInterfaces.ILogDestination {
    edgeWorkerRef: EdgeWorker;
    constructor(edgeworkerRefArg: EdgeWorker);
    handleLog(logPackageArg: smartlogInterfaces.ILogPackage): Promise<void>;
}
